[Touch-packages] [Bug 1876219] Re: iris driver for old cpu

2020-05-11 Thread Lukas Hejtmanek
Whiskey Lake is also affected, guess it is gen8?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1876219

Title:
  iris driver for old cpu

Status in mesa package in Ubuntu:
  Confirmed

Bug description:
  I am not completely sure where I should file the bug. I am using
  Lubuntu 20.04 with lxqt, and since the upgrade to 20.04 iris is the
  default graphics driver, which results in crashes in multiple apps
  including guvcview and calibre. Setting
  MESA_LOADER_DRIVER_OVERRIDE=i965 fixed the problem. I am not sure but
  is it true that iris does not support older generations of Intel CPUs?
  If it is the case would it be possible to revert to i965 in those
  circumstances? Thanks!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1876219/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877879] [NEW] segfault in iris_dri.so

2020-05-10 Thread Lukas Hejtmanek
Public bug reported:

As of Ubuntu 20.04, on intel graphics with intel driver (not
modesetting), I got segfault whenever anything tries to use GL.

This happens unless I export MESA_LOADER_DRIVER_OVERRIDE=i965. One says
that it does not happen with modesetting driver.

(gdb) run
Starting program: /usr/bin/glxgears 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x717cf700 (LWP 97070)]
[New Thread 0x7fffebfff700 (LWP 97071)]
[New Thread 0x70fce700 (LWP 97072)]
[New Thread 0x7fffeb7fe700 (LWP 97073)]

Thread 1 "glxgears" received signal SIGSEGV, Segmentation fault.
0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
(gdb) where
#0  0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#1  0x76c42de4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#2  0x76a59e5d in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#3  0x76a5aa95 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x76099774 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x711e in ?? ()
#6  0x6c88 in ?? ()
#7  0x77ace0b3 in __libc_start_main (main=0x6410, argc=1, 
argv=0x7fffe698, init=, fini=, 
rtld_fini=, stack_end=0x7fffe688) at ../csu/libc-start.c:308
#8  0x6f0a in ?? ()
(gdb) 

I believe, this is a bug in mesa tracked here:
https://gitlab.freedesktop.org/mesa/mesa/issues/1358

packages versions:
libgl1-mesa-dri:amd64 20.0.4-2ubuntu1 amd64 
xserver-xorg-video-intel  2:2.99.917+git20200226-1amd64
xserver-xorg-core 2:1.20.8-2ubuntu2   amd64

** Affects: mesa (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1877879

Title:
  segfault in iris_dri.so

Status in mesa package in Ubuntu:
  New

Bug description:
  As of Ubuntu 20.04, on intel graphics with intel driver (not
  modesetting), I got segfault whenever anything tries to use GL.

  This happens unless I export MESA_LOADER_DRIVER_OVERRIDE=i965. One
  says that it does not happen with modesetting driver.

  (gdb) run
  Starting program: /usr/bin/glxgears 
  [Thread debugging using libthread_db enabled]
  Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
  [New Thread 0x717cf700 (LWP 97070)]
  [New Thread 0x7fffebfff700 (LWP 97071)]
  [New Thread 0x70fce700 (LWP 97072)]
  [New Thread 0x7fffeb7fe700 (LWP 97073)]

  Thread 1 "glxgears" received signal SIGSEGV, Segmentation fault.
  0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  (gdb) where
  #0  0x76a7e1d4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #1  0x76c42de4 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #2  0x76a59e5d in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #3  0x76a5aa95 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #4  0x76099774 in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
  #5  0x711e in ?? ()
  #6  0x6c88 in ?? ()
  #7  0x77ace0b3 in __libc_start_main (main=0x6410, argc=1, 
argv=0x7fffe698, init=, fini=, 
rtld_fini=, stack_end=0x7fffe688) at ../csu/libc-start.c:308
  #8  0x6f0a in ?? ()
  (gdb) 

  I believe, this is a bug in mesa tracked here:
  https://gitlab.freedesktop.org/mesa/mesa/issues/1358

  packages versions:
  libgl1-mesa-dri:amd64 20.0.4-2ubuntu1 
amd64 
  xserver-xorg-video-intel  2:2.99.917+git20200226-1
amd64
  xserver-xorg-core 2:1.20.8-2ubuntu2   
amd64

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1877879/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1751776] Re: google-chrome crashes in i965_dri.so

2019-03-04 Thread Lukas Hejtmanek
solved by system reinstall.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1751776

Title:
  google-chrome crashes in i965_dri.so

Status in mesa package in Ubuntu:
  Incomplete

Bug description:
  Google-chrome crashes in i965_dri.so. Lib GL mesa is version
  18.0.0~rc4-1ubuntu1. Google-chrome is version 64.0.3282.186 (Official
  Build) (64-bit).

  It creates core dump files and it chrome complains about:
  Log Messages
  GpuProcessHostUIShim: The GPU process crashed!
  GpuProcessHostUIShim: The GPU process crashed!
  GpuProcessHostUIShim: The GPU process crashed!

  (gdb) where
  #0  0x7f781b626b78 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
  #1  0x0001 in ?? ()
  #2  0x55d0d3597fff in ?? ()
  #3  0x in ?? ()

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1751776/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1751776] [NEW] google-chrome crashes in i965_dri.so

2018-02-26 Thread Lukas Hejtmanek
Public bug reported:

Google-chrome crashes in i965_dri.so. Lib GL mesa is version
18.0.0~rc4-1ubuntu1. Google-chrome is version 64.0.3282.186 (Official
Build) (64-bit).

It creates core dump files and it chrome complains about:
Log Messages
GpuProcessHostUIShim: The GPU process crashed!
GpuProcessHostUIShim: The GPU process crashed!
GpuProcessHostUIShim: The GPU process crashed!

(gdb) where
#0  0x7f781b626b78 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#1  0x0001 in ?? ()
#2  0x55d0d3597fff in ?? ()
#3  0x in ?? ()

** Affects: mesa (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1751776

Title:
  google-chrome crashes in i965_dri.so

Status in mesa package in Ubuntu:
  New

Bug description:
  Google-chrome crashes in i965_dri.so. Lib GL mesa is version
  18.0.0~rc4-1ubuntu1. Google-chrome is version 64.0.3282.186 (Official
  Build) (64-bit).

  It creates core dump files and it chrome complains about:
  Log Messages
  GpuProcessHostUIShim: The GPU process crashed!
  GpuProcessHostUIShim: The GPU process crashed!
  GpuProcessHostUIShim: The GPU process crashed!

  (gdb) where
  #0  0x7f781b626b78 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
  #1  0x0001 in ?? ()
  #2  0x55d0d3597fff in ?? ()
  #3  0x in ?? ()

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1751776/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp